Subject: RE: cygwin 1.5.0 managed mode & backward compatibility
From: Pavel Rozenboim <[email-masked]>
To: [email-masked]
Date: Wed, 16 Jul 2003 17:36:58 +0200

> -----Original Message-----
> From: Elfyn McBratney [mailto:[email-masked]]
> Sent: Wed, July 16, 2003 3:30 PM
> To: Pavel Rozenboim
> Cc: [email-masked]
> Subject: Re: cygwin 1.5.0 managed mode & backward compatibility
> 
> 
> On Wed, 16 Jul 2003, Pavel Rozenboim wrote:
> 
> > Hi,
> >
> > I installed cygwin 1.5.0 and remounted all cygwin 
> directories (/,/usr/bin,
> > /usr/lib) in managed mode. Now I can't access files that 
> have a capital
> > letters that were created before upgrade to 1.5.0.
> >
> > pavel@PAVEL ~
> > $ ls
> > /bin/ls: GNUstep: No such file or directory
> > /bin/ls: QB: No such file or directory
> > /bin/ls: QB1: No such file or directory
> > /bin/ls: QB2: No such file or directory
> > /bin/ls: Sol: No such file or directory
> > /bin/ls: Sol1: No such file or directory
> > /bin/ls: TL: No such file or directory
> > /bin/ls: WL: No such file or directory
> >
> > it is possible to access these files if their names are 
> typed in non-capital
> > letters.
> 
> Managed mode is meant to be used from scratch on an empty 
> directory, not a
> directory that already has contents and *not* for the kitchen sink.
> 
> Put it this way: If you want to have access to those files, 
> revert your
> mount-table.

I understand well the current state of managed mode and cygwin-1.5.0. I just
wanted to bring this issue (even as just a warning to others) and I think
this issue must be addressed at some point. As I already stated, I'm
currently not doing any mission critical job with cygwin, so I don't care
much if something breaks. 

> 
> To anyone else who wishes to re-mount their entire Cygwin 
> installation under
> managed mode, please make sure you seek advice from your 
> therapist before doing
> so.
> 
> Elfyn
> 
> -- 
> Elfyn McBratney, EMCB  |  http://www.nongnu.org/wwwauth/
> http://www.emcb.co.uk  |  http://www.emcb.co.uk/webauth/
> [email-masked]       |  wwwauth-users AT nongnu DOT org
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/